Bug 132905 - [GTK][EFL] Video is resumed with old playback rate.
Summary: [GTK][EFL] Video is resumed with old playback rate.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Media (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-14 06:59 PDT by Piotr Grad
Modified: 2014-05-22 07:58 PDT (History)
14 users (show)

See Also:


Attachments
Patch & layout test (8.75 KB, patch)
2014-05-14 07:19 PDT, Piotr Grad
no flags Details | Formatted Diff | Diff
Patch & layout test (8.75 KB, patch)
2014-05-14 07:25 PDT, Piotr Grad
no flags Details | Formatted Diff | Diff
Patch & layout test (8.76 KB, patch)
2014-05-14 07:34 PDT, Piotr Grad
no flags Details | Formatted Diff | Diff
Patch & layout test (8.62 KB, patch)
2014-05-21 13:48 PDT, Piotr Grad
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Grad 2014-05-14 06:59:02 PDT
Video is resumed with old playback rate after changing it to '0' and requesting play.
Comment 1 Piotr Grad 2014-05-14 07:19:32 PDT
Created attachment 231447 [details]
Patch & layout test
Comment 2 WebKit Commit Bot 2014-05-14 07:20:56 PDT
Attachment 231447 [details] did not pass style-queue:


ERROR: Source/WebCore/platform/graphics/gstreamer/MediaPlayerPrivateGStreamer.cpp:410:  Missing space before ( in if(  [whitespace/parens] [5]
ERROR: Source/WebCore/platform/graphics/gstreamer/MediaPlayerPrivateGStreamer.cpp:565:  Missing space before ( in if(  [whitespace/parens] [5]
ERROR: Source/WebCore/platform/graphics/gstreamer/MediaPlayerPrivateGStreamer.cpp:623:  Missing space before ( in if(  [whitespace/parens] [5]
Total errors found: 3 in 6 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 Piotr Grad 2014-05-14 07:25:58 PDT
Created attachment 231449 [details]
Patch & layout test
Comment 4 WebKit Commit Bot 2014-05-14 07:28:27 PDT
Attachment 231449 [details] did not pass style-queue:


ERROR: Source/WebCore/platform/graphics/gstreamer/MediaPlayerPrivateGStreamer.cpp:565:  Multi line control clauses should use braces.  [whitespace/braces] [4]
Total errors found: 1 in 6 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 5 Piotr Grad 2014-05-14 07:34:10 PDT
Created attachment 231451 [details]
Patch & layout test
Comment 6 Philippe Normand 2014-05-20 00:34:20 PDT
Comment on attachment 231451 [details]
Patch & layout test

View in context: https://bugs.webkit.org/attachment.cgi?id=231451&action=review

> Source/WebCore/platform/graphics/gstreamer/MediaPlayerPrivateGStreamer.cpp:568
> +    if (!rate) {
> +        return gst_element_seek(m_playBin.get(), 1.0, GST_FORMAT_TIME, seekType,
> +            GST_SEEK_TYPE_SET, startTime, GST_SEEK_TYPE_SET, endTime);
> +    }

Perhaps this could be if(!rate) rate = 1.0 ?
Comment 7 Piotr Grad 2014-05-21 13:48:49 PDT
Created attachment 231840 [details]
Patch & layout test
Comment 8 WebKit Commit Bot 2014-05-22 07:58:29 PDT
Comment on attachment 231840 [details]
Patch & layout test

Clearing flags on attachment: 231840

Committed r169200: <http://trac.webkit.org/changeset/169200>
Comment 9 WebKit Commit Bot 2014-05-22 07:58:37 PDT
All reviewed patches have been landed.  Closing bug.